




	.csect [ro]
S.&mFNAME:
	.string  	"&mFNAM2"
.csect &mFNAME[ds] ; .globl &mFNAME[ds] ; .llong &mFNAME.ptrentry , TOC[tc0] , 0
	.toc
T.S.&mFNAME:
	.tc  		S.&mFNAME[tc], S.&mFNAME
T.&mFNAME:
	.tc  		&mFNAME[tc], &mFNAME[ds]
	.csect  	.&mFNAME[gl]
	.globl   	.&mFNAME[gl]
&mFNAME.code_start:
	std	 2, 40(1)
&mFNAME.ptrentry:
	mflr	11
&mFNAME.ptr2:
	std	 3,48+0*8(1)
	std	 4,48+1*8(1)
	std	 5,48+2*8(1)
	std	 6,48+3*8(1)
	std	 7,48+4*8(1)
	std	 8,48+5*8(1)
	std	 9,48+6*8(1)
	std	10,48+7*8(1)
	std	11,16(1)
	stdu	 1,-112(1)
	li	 3,0
	ld	 4,T.S.&mFNAME(2)
	ld	 5,T.&mFNAME(2)
	li	 6,0
	li	 7,0
	.extern  	._mFdynload
	bl	._mFdynload
	nop
	ld	 0,0(3)
	ld	 2,8(3)
	la	 1,112(1)
	ld	11,16(1)
	ld	 3,48+0*8(1)
	ld	 4,48+1*8(1)
	mtctr	 0
	ld	 5,48+2*8(1)
	ld	 6,48+3*8(1)
	mtlr	11		# Restore original lr
	ld	 7,48+4*8(1)
	ld	 8,48+5*8(1)
	ld	 9,48+6*8(1)
	ld	10,48+7*8(1)
	bctr
	.long	0		# trace back table marker
	.long	0x000c0000	# version 0, assembler
	.long	0
